summaryrefslogtreecommitdiff
path: root/nightly
diff options
context:
space:
mode:
Diffstat (limited to 'nightly')
-rwxr-xr-xnightly/buildlinux.sh12
-rwxr-xr-xnightly/buildwindows.sh13
2 files changed, 23 insertions, 2 deletions
diff --git a/nightly/buildlinux.sh b/nightly/buildlinux.sh
index ebc07dd87..43eb06883 100755
--- a/nightly/buildlinux.sh
+++ b/nightly/buildlinux.sh
@@ -2,13 +2,21 @@
cd ..
-DIR=`pwd`
DSTDIR=packaging/build/linux
autoreconf -i
#make clean
-./configure --datadir=. localedir=locale
+./configure --enable-portable=yes
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
+
make
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
if [ -e src/manaplus ];
then
diff --git a/nightly/buildwindows.sh b/nightly/buildwindows.sh
index ede9f0f04..286471d4c 100755
--- a/nightly/buildwindows.sh
+++ b/nightly/buildwindows.sh
@@ -5,11 +5,24 @@ dir=`pwd`
cd ..
export PATH=/usr/i586-mingw32msvc/bin:$PATH
CXXFLAGS="-Wall -g0 -O2" cmake -DCMAKE_TOOLCHAIN_FILE=./toolchain.nightly .
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
make -j5 2>make.log
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
cd ./packaging/windows
./make-translations.sh
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
+
makensis -DDLLDIR=$dir/../packaging/windows/libs/dll/ \
-DPRODUCT_VERSION="nightly-$1" \
-DEXESUFFIX=/src \